package handler

import (
	"github.com/labstack/echo"
)

func SetRoutes(echoInstance *echo.Echo) {
	echoInstance.POST("/pb/upload", uploadPBData)
	echoInstance.POST("//pb/upload", uploadPBData)

	echoInstance.POST("/alarm/upload", uploadAlarmData)
	echoInstance.POST("//alarm/upload", uploadAlarmData)

	echoInstance.POST("/call_log/upload", UploadCallLog)
	echoInstance.POST("//call_log/upload", UploadCallLog)

	echoInstance.POST("/deviceinfo/upload", UploadDeviceInfo)
	echoInstance.POST("//deviceinfo/upload", UploadDeviceInfo)
}
